std::basic_ispanstream::swap(3)

NAME
std::basic_ispanstream::swap - std::basic_ispanstream::swap

Synopsis
   void swap( basic_ispanstream& other ); (since C++23)
   Exchanges the state of the stream with those of other.
   This is done by calling std::basic_istream<CharT, Traits>::swap(other) and swapping
   the wrapped std::basic_spanbuf objects (accessible through *rdbuf()).

Parameters
   other - stream to exchange the state with

Return value
   (none)

Exceptions
   May throw implementation-defined exceptions.

Example
    This section is incomplete
    Reason: no example

See also
   swap swaps two basic_spanbuf objects
   (C++23) (public member function of std::basic_spanbuf<CharT,Traits>)

Category:
     * Todo no example